
From: "Randy.Dunlap" <rddunlap@osdl.org>

drivers/char/isicom.c:1274:14: warning: Using plain integer as NULL pointer
arch/x86_64/oprofile/../../i386/oprofile/backtrace.c:30:10: warning: Using plain integer as NULL pointer

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/oprofile/backtrace.c |    2 +-
 25-akpm/drivers/char/isicom.c          |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/char/isicom.c~isicom-use-null-for-pointer drivers/char/isicom.c
--- 25/drivers/char/isicom.c~isicom-use-null-for-pointer	2005-01-23 01:37:31.620285448 -0800
+++ 25-akpm/drivers/char/isicom.c	2005-01-23 01:37:31.624284840 -0800
@@ -1271,7 +1271,7 @@ static void isicom_shutdown_port(struct 
 	}	
 	port->flags &= ~ASYNC_INITIALIZED;
 	/* 3rd October 2000 : Vinayak P Risbud */
-	port->tty = 0;
+	port->tty = NULL;
 	spin_unlock_irqrestore(&card->card_lock, flags);
 	
 	/*Fix done by Anil .S on 30-04-2001
diff -puN arch/i386/oprofile/backtrace.c~isicom-use-null-for-pointer arch/i386/oprofile/backtrace.c
--- 25/arch/i386/oprofile/backtrace.c~isicom-use-null-for-pointer	2005-01-23 01:37:41.754744776 -0800
+++ 25-akpm/arch/i386/oprofile/backtrace.c	2005-01-23 01:37:41.756744472 -0800
@@ -27,7 +27,7 @@ dump_backtrace(struct frame_head * head)
 	/* frame pointers should strictly progress back up the stack
 	 * (towards higher addresses) */
 	if (head >= head->ebp)
-		return 0;
+		return NULL;
 
 	return head->ebp;
 }
_
